/*
 * Hypercube API
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 0.2.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.sbi.starfish.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * Kpis
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-04-20T08:51:25.137Z[GMT]")
public class Kpis {
  @SerializedName("forward_snr")
  private Kpi forwardSnr = null;

  @SerializedName("return_snr")
  private Kpi returnSnr = null;

  @SerializedName("return_ber")
  private Kpi returnBer = null;

  @SerializedName("return_frequency_error")
  private Kpi returnFrequencyError = null;

  public Kpis forwardSnr(Kpi forwardSnr) {
    this.forwardSnr = forwardSnr;
    return this;
  }

   /**
   * Get forwardSnr
   * @return forwardSnr
  **/
  @Schema(description = "")
  public Kpi getForwardSnr() {
    return forwardSnr;
  }

  public void setForwardSnr(Kpi forwardSnr) {
    this.forwardSnr = forwardSnr;
  }

  public Kpis returnSnr(Kpi returnSnr) {
    this.returnSnr = returnSnr;
    return this;
  }

   /**
   * Get returnSnr
   * @return returnSnr
  **/
  @Schema(description = "")
  public Kpi getReturnSnr() {
    return returnSnr;
  }

  public void setReturnSnr(Kpi returnSnr) {
    this.returnSnr = returnSnr;
  }

  public Kpis returnBer(Kpi returnBer) {
    this.returnBer = returnBer;
    return this;
  }

   /**
   * Get returnBer
   * @return returnBer
  **/
  @Schema(description = "")
  public Kpi getReturnBer() {
    return returnBer;
  }

  public void setReturnBer(Kpi returnBer) {
    this.returnBer = returnBer;
  }

  public Kpis returnFrequencyError(Kpi returnFrequencyError) {
    this.returnFrequencyError = returnFrequencyError;
    return this;
  }

   /**
   * Get returnFrequencyError
   * @return returnFrequencyError
  **/
  @Schema(description = "")
  public Kpi getReturnFrequencyError() {
    return returnFrequencyError;
  }

  public void setReturnFrequencyError(Kpi returnFrequencyError) {
    this.returnFrequencyError = returnFrequencyError;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Kpis kpis = (Kpis) o;
    return Objects.equals(this.forwardSnr, kpis.forwardSnr) &&
        Objects.equals(this.returnSnr, kpis.returnSnr) &&
        Objects.equals(this.returnBer, kpis.returnBer) &&
        Objects.equals(this.returnFrequencyError, kpis.returnFrequencyError);
  }

  @Override
  public int hashCode() {
    return Objects.hash(forwardSnr, returnSnr, returnBer, returnFrequencyError);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Kpis {\n");
    
    sb.append("    forwardSnr: ").append(toIndentedString(forwardSnr)).append("\n");
    sb.append("    returnSnr: ").append(toIndentedString(returnSnr)).append("\n");
    sb.append("    returnBer: ").append(toIndentedString(returnBer)).append("\n");
    sb.append("    returnFrequencyError: ").append(toIndentedString(returnFrequencyError)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
